Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class ValueListFilter

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableFilter
                  |
                  +--ru.biosoft.access.CompositeFilter
                        |
                        +--biouml.standard.filter.ValueListFilter

Direct Known Subclasses:
  BiopolimerDiagramFilter.CellTypeFilter, BiopolimerDiagramFilter.InducerFilter, BiopolimerDiagramFilter.SpeciesFilter

public abstract class ValueListFilter
extends CompositeFilter

pending comments

Inner Class Summary
`public static class` | ValueListFilter.ValueFilter
`public static class` | ValueListFilter.ValueFilterBeanInfo

Constructor Summary
`ValueListFilter(MutableFilter filter, String[] values)`

Method Summary
`String` | `getItemDisplayName(Integer index, Object obj)` used to calculate display name for child filters.
`abstract String` | `getValue(DataElement de)`
`boolean` | `isAcceptable(DataElement de)`

Methods inherited from class ru.biosoft.access.CompositeFilter
`add, getFilter, getFilter, isExists, remove, setFilter, setFilter`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueListFilter

    public ValueListFilter(MutableFilter filter, String[] values)

Method Detail

### getItemDisplayName

    public String getItemDisplayName(Integer index, Object obj)

  used to calculate display name for child filters.

### getValue

    public abstract String getValue(DataElement de)

### isAcceptable

    public boolean isAcceptable(DataElement de)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM